Alerts API

Pulserun exposes one alerts surface for budget and price-drop alerts.

GET /v1/alerts

List active and triggered alerts.

curl https://api-staging.pulserun.dev/v1/alerts \
  -H "Authorization: Bearer YOUR_API_KEY"

POST /v1/alerts

Create an alert.

Price drop alert

curl -X POST https://api-staging.pulserun.dev/v1/alerts \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "price_drop",
    "action": "notify",
    "gpu_type": "a100_80gb",
    "threshold_price": 0.80
  }'

Budget limit alert

curl -X POST https://api-staging.pulserun.dev/v1/alerts \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "budget_limit",
    "action": "notify",
    "threshold_dollars": 50
  }'

DELETE /v1/alerts/{alert_id}

Delete an alert.

curl -X DELETE https://api-staging.pulserun.dev/v1/alerts/<alert_id> \
  -H "Authorization: Bearer YOUR_API_KEY"